Update a Rack

PUT/v1/racks/{rack_id}

A rack can be updated by a PUT request to /v1/racks/{rack_id} with the path parameter specified. A label can be added in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

rack_id*string

Request Body

application/json

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/racks/9wdLO4bj" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "9wdLO4bj",  "name": "rack-10221",  "location_id": 1806,  "location_code": "location3715",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  }}
{  "message": "Not found",  "code": "NOT_FOUND"}